Problem running Openshot 2.0 on Debian 8.0

Questions or tips about installing Openshot from distribution packages, source code or building packages.

Moderators: Andy, Cenwen, beats

Problem running Openshot 2.0 on Debian 8.0

Postby jrtokarz » Wed Feb 10, 2016 11:01 am

Hi,

I've installed Openshot 2.0 on Debian 8.0, however when I try to run openshot-qt I get the following error:

Code: Select all
Loaded modules from installed directory: /usr/lib/python3/dist-packages/openshot_qt
      logger:ERROR Traceback (most recent call last):
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot.py", line 18, in swig_import_helper
      logger:ERROR fp, pathname, description = imp.find_module('_openshot', [dirname(__file__)])
      logger:ERROR   File "/usr/lib/python3.5/imp.py", line 296, in find_module
      logger:ERROR raise ImportError(_ERR_MSG.format(name), name=name)
      logger:ERROR ImportError
      logger:ERROR :
      logger:ERROR No module named '_openshot'
      logger:ERROR
      logger:ERROR During handling of the above exception, another exception occurred:
      logger:ERROR Traceback (most recent call last):
      logger:ERROR   File "/usr/bin/openshot-qt", line 9, in <module>
      logger:ERROR load_entry_point('openshot-qt==2.0.6', 'gui_scripts', 'openshot-qt')()
      logger:ERROR   File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 568, in load_entry_point
      logger:ERROR return get_distribution(dist).load_entry_point(group, name)
      logger:ERROR   File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 2720, in load_entry_point
      logger:ERROR return ep.load()
      logger:ERROR   File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 2380, in load
      logger:ERROR return self.resolve()
      logger:ERROR   File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 2386, in resolve
      logger:ERROR module = __import__(self.module_name, fromlist=['__name__'], level=0)
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot_qt/launch.py", line 53, in <module>
      logger:ERROR from classes.app import OpenShotApp
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot_qt/classes/app.py", line 41, in <module>
      logger:ERROR import openshot
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot.py", line 28, in <module>
      logger:ERROR _openshot = swig_import_helper()
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot.py", line 20, in swig_import_helper
      logger:ERROR import _openshot
      logger:ERROR ImportError
      logger:ERROR :
      logger:ERROR No module named '_openshot'


The shared object file /usr/lib/python3/dist-packages/_openshot.cpython-34m-x86_64-linux-gnu.so exists and is readable.

[edit]
Is this issue anything to do with python3-openshot having a dependency on python3 version being strictly less than 3.5 (In Debian 8.0 testing python3 is 3.5.1-1)?

Anybody else has this problem
jrtokarz
New member
 
Posts: 1
Joined: Wed Feb 10, 2016 10:55 am

Re: Problem running Openshot 2.0 on Debian 8.0

Postby XXLRay » Thu Feb 11, 2016 2:31 pm

The work-around is to simply create a softlink to your existing python packages.
XXLRay
OpenShot Veteran
 
Posts: 1070
Joined: Fri Jul 06, 2012 4:10 pm


Return to Installation

Who is online

Users browsing this forum: No registered users